#ifndef _renderPassCompute2

#define _renderPassCompute2


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "../block.h"

#include "stdbool.h"

#include "../sampler2D.h"

#include "../../int.h"

#include "../program.h"

#include "../shader.h"

#include "../../vector2.h"

#include "../event.h"

#include "renderPass.h"


typedef struct compute2{

	struct program * program;

	int active;


} compute2;

void compute2_prepare( compute2 * this );

void compute2_render( compute2 * this );

compute2 compute2_new(  );

compute2 * compute2_newPointer(  );

#endif


typedef struct compute2 compute2;



